Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1457737 - Review Request: rubygem-overcommit - Git hook manager
Summary: Review Request: rubygem-overcommit - Git hook manager
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1457735
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-06-01 08:33 UTC by Steve Traylen
Modified: 2017-08-06 07:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-06 07:07:40 UTC


Attachments (Terms of Use)

Description Steve Traylen 2017-06-01 08:33:39 UTC
Spec URL: https://cern.ch/straylen/rpms/rubygem-overcommit/rubygem-overcommit.spec
SRPM URL: https://cern.ch/straylen/rpms/rubygem-overcommit/rubygem-overcommit-0.32.0-1.fc27.src.rpm
Description: Git hook manager
Fedora Account System Username: stevetraylen

Comment 1 Vít Ondruch 2017-06-07 08:35:12 UTC
Although I have not really idea what is the overcommit or how to use it, doesn't it by a chance qualify as an application?

https://fedoraproject.org/wiki/Packaging:Ruby#Applications

Comment 2 Steve Traylen 2017-06-07 14:33:37 UTC
I think being a rubygem won over being an application. Must be lots of examples. e.g bundler

$ rpm -qf /usr/bin/bundle
rubygem-bundler-1.7.8-3.el7.noarch

Comment 3 Vít Ondruch 2017-06-07 14:42:56 UTC
I don't think Bundler is good example, since typical use of bundler is actually "require 'bundler/setup'" in your app, i.e. this is typical library usage.

Comment 4 František Dvořák 2017-06-20 13:38:59 UTC
Overcommit is on rubygems.org and there are (gem) dependencies on it already. Although probably only development ones...

Motivation for application is simpler package name? Maybe it could be used the rubygem way of packaging, but with additional Provide, or bin/ in separated subpackage?

Comment 5 František Dvořák 2017-08-06 07:07:40 UTC
Dependency review has been closed as stalled, let's close also this one. Please reopen, as needed.


Note You need to log in before you can comment on or make changes to this bug.